# PhasicFlow: src/phasicFlow/structuredData/box/box.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

box.hpp File Reference
Include dependency graph for box.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | box

## Namespaces

| pFlow

## Functions

FUNCTION_H iIstream & | operator>> (iIstream &is, box &b)
FUNCTION_H iOstream & | operator<< (iOstream &os, const box &b)
INLINE_FUNCTION_HD bool | equal (const box &b1, const box &b2, real tol=smallValue)
INLINE_FUNCTION_HD bool | operator== (const box &b1, const box &b2)
INLINE_FUNCTION_HD box | extendBox (const box &b, const realx3 &dl)